/* 
Theme Name:		Hello Elementor Child
Theme URI:		https://elementor.com/
Description:	Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author:			Elementor Team
Author URI:		https://elementor.com/
Template:		hello-elementor
Version:		1.0.1
Text Domain:	hello-elementor-child
Tags:           flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

.green .elementor-icon-box-wrapper, .light-green .elementor-icon-box-wrapper{display: flex!important; flex-direction: column!important; }
.green .elementor-icon-box-wrapper .elementor-icon-box-icon, .light-green .elementor-icon-box-wrapper .elementor-icon-box-icon{height: 7.75vh; display: flex; align-items: center; margin: 0;}
.light-green .elementor-icon-box-wrapper{flex-direction: column-reverse!important;}
.light-green .elementor-icon-box-content{display: flex; flex-direction: column-reverse;}
.green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title, .light-green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title{padding: 0.5vw; font-size: 18px; margin: 0;}
.green .elementor-icon-box-title{background-color: var(--e-global-color-accent); color: var(--e-global-color-primary)!important;}
.light-green .elementor-icon-box-title{background-color: var(--e-global-color-7405402);}
.light-green .elementor-icon-box-title span{color:var(--e-global-color-d224a53);}
.green .elementor-icon-box-wrapper .elementor-icon-box-content p, .light-green .elementor-icon-box-wrapper .elementor-icon-box-content p{font-size: 18px; background-color: var(--e-global-color-8852358); padding: 0.5vw; height: 7.75vh; display: flex; align-items: center; justify-content: center;}
/*about*/
#h_grid .green .elementor-icon-box-wrapper, #h_grid .light-green .elementor-icon-box-wrapper{display: flex!important; flex-direction: row!important; }
#h_grid .light-green .elementor-icon-box-wrapper, #h_grid .light-green .elementor-icon-box-content, #h_grid .green .elementor-icon-box-content{display: flex!important; flex-direction: row!important;align-items: center;}
#h_grid .green .elementor-icon-box-wrapper .elementor-icon-box-content p, #h_grid .light-green .elementor-icon-box-wrapper .elementor-icon-box-content p{font-size: 18px; background-color: var(--e-global-color-8852358); padding: 0.5vw; height: 7.75vh; display: flex; flex-direction: column; align-items: flex-start; justify-content: center;}
.avatar .elementor-image-box-img img{aspect-ratio: 1;}
.elementor-2 .elementor-element.elementor-element-0ac5b82 .e-hotspot__tooltip{left: calc(100% + 1vw)!important; width: max-content; padding: 0.5vw;}
.elementor-2 .elementor-element.elementor-element-0ac5b82 .e-hotspot__tooltip p{display: flex; flex-direction: row; gap:0.5vw;}
.elementor-button-content-wrapper{align-items: center;}

.project_img img{aspect-ratio:1.33333;}
.elementor-element-5e4b5170.elementor-grid-3 .elementor-posts-masonry{grid-template-columns: repeat(auto-fill, minmax(22.33vw,1fr)); align-items: unset; grid-auto-rows: minmax(22.33vw,auto);}
/*.elementor-element-5e4b5170 .elementor-posts-masonry .elementor-115{break-inside: avoid-column;}*/

.why-icons-grid .elementor-shortcode{display: grid; grid-template-columns: repeat(3, 1fr); gap: 4vw; padding: 4vw;}
.why-icon-item {text-align: center;}
.why-icon-svg {margin-bottom: 10px;}
.why-icons-grid svg {width: 6vw;height: auto;overflow: visible !important;contain: content;}

.why-icon-text {
    font-size: var(--e-global-typography-d8c2a5d-font-size);
    font-weight: var(--e-global-typography-d8c2a5d-font-weight);
    line-height: var(--e-global-typography-d8c2a5d-line-height);
    letter-spacing: var(--e-global-typography-d8c2a5d-letter-spacing);
    word-spacing: var(--e-global-typography-d8c2a5d-word-spacing);}

.wha .elementor-button-icon svg path{fill: var(--e-global-color-primary); }
#how_list ul li{padding-bottom: 0.5vw;}


@media (max-width: 767px){
    /*html{font-size: 1px;}*/
    .green .elementor-icon-box-wrapper, .light-green .elementor-icon-box-wrapper{display: flex!important; flex-direction: row!important; }
    .light-green .elementor-icon-box-wrapper{flex-direction: row-reverse!important;}
    .green .elementor-icon-box-content{display: flex; flex-direction: row !important; flex-grow: 0; max-width: 10.444rem; }
    .light-green .elementor-icon-box-content{flex-direction: row-reverse; flex-grow: 0; max-width: 10.444rem;}
    .green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title, .light-green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title{padding: 0.556rem; font-size: 18px; margin: 0; width: 2.778rem; vertical-align: center;}
    .green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title a, .light-green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title a{font-size: 18px; margin: 0;}
    /*.green .elementor-icon-box-wrapper .elementor-icon-box-icon, .light-green .elementor-icon-box-wrapper .elementor-icon-box-icon{height: unset;  width: 7.667rem; max-width: 7.667rem; padding: 0.556em;  }*/
    .green .elementor-icon-box-wrapper .elementor-icon-box-icon{justify-content: flex-end;}
    .green .elementor-icon-box-wrapper .elementor-icon-box-content p, .light-green .elementor-icon-box-wrapper .elementor-icon-box-content p{font-size: 18px; background-color: var(--e-global-color-8852358);  height: unset; width: 7.667rem; max-width: 7.667rem; flex-wrap: wrap; padding: 0px; }
    #h_grid .elementor-widget-icon-box.elementor-mobile-position-top .elementor-icon-box-icon{margin-bottom: 0; margin-right: 0; margin-left: var(--icon-box-icon-margin,15px);}
    #h_grid .green, #h_grid .light-green{width: 100%; max-width: 100%;}
    #h_grid .green .elementor-icon-box-wrapper, #h_grid .light-green .elementor-icon-box-wrapper{display: flex!important; flex-direction: row!important; align-items: flex-start;}
    #h_grid .green .elementor-icon-box-wrapper .elementor-icon-box-icon, #h_grid .light-green .elementor-icon-box-wrapper .elementor-icon-box-icon{height: unset; padding: 0.556em; width: 8vw;}
    #h_grid .green .elementor-icon-box-wrapper .elementor-icon-box-content, #h_grid .light-green .elementor-icon-box-wrapper .elementor-icon-box-content{flex-direction: column!important; align-items: flex-start; flex-grow: 1; max-width: 100%; width: 100%;}
    #h_grid .green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title, #h_grid .light-green .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title{padding: 0.556rem; font-size: 18px; margin: 0; width: 5rem; vertical-align: center;}
    #h_grid .green .elementor-icon-box-wrapper .elementor-icon-box-content p, #h_grid .light-green .elementor-icon-box-wrapper .elementor-icon-box-content p{font-size: 18px; background-color: var(--e-global-color-8852358); padding: 0.5vw; height: auto; display: flex; flex-direction: column; flex-wrap: nowrap; align-items: flex-start; justify-content: center; width:100%; max-width: 100%;text-align: right;}
    .why-icons-grid .elementor-shortcode{grid-template-columns: repeat(1, 1fr);gap: 8vw;}
    .why-icons-grid svg{width: 16vw;}
}